/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.interfaces;

import org.eclipse.core.resources.IFile;
import org.fortiss.tooling.kernel.internal.storage.eclipse.EclipseResourceStorageProvider;

/**
 * Extension interface for the {@link EclipseResourceStorageProvider} mechanism.
 * 
 * @author hoelzlf
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: F2CBF6F78C114C5AE2676C85403E4488
 */
public interface IEclipseResourceStorageLocationProvider {

	/**
	 * Returns whether the given {@link IFile} should be considered as a model
	 * file.
	 */
	boolean isStorageLocation(IFile file);
}
